< class="prominent-subhead ">

Code Fix: After upgrading to K2 4.7 an error occurs when attempting to integrate with a SharePoint list or library

~~repeating-content.html~~
LEGACY/ARCHIVED CONTENT
This article has been archived, and/or refers to legacy products, components or features. The content in this article is offered "as is" and will no longer be updated. Archived content is provided for reference purposes only. This content does not infer that the product, component or feature is supported, or that the product, component or feature will continue to function as described herein.

Issue Description

After upgrading from K2 4.6.11 to K2 4.7, an error occurs when attempting to integrate with a SharePoint List or Library. This occurs if the Registration Wizard was not run after the upgrade.

Error Message

The error message states "String portion was too short or too long."

Resolution

  1. Ensure you have K2 4.7 installed.
  2. Download and install the K2 4.7 August 2017 Cumulative Update from K2 Partner and Customer Portal.
  3. Get the K2 4.7 August 2017 Cumulative Update FP6 from Regional Support.
  4. Install the K2 4.7 August 2017 Cumulative Update FP6 to apply the fix.
  5. Note that if the Registration Wizard was not run after the upgrade, a message will now display to run the Registration Wizard.